// 	Copyright 05/13/99 Sun Microsystems, Inc. All Rights Reserved.

#pragma ident  "@(#)auth_server_handle.cc	1.3 99/05/13 Sun Microsystems"

#include "auth_server_handle.hh"
#include "auth_server_body.hh"

AuthenticationServerHandle::AuthenticationServerHandle()
    throw()
{
    impl_ = new AuthenticationServerBody();   
}

AuthenticationServerHandle::~AuthenticationServerHandle(
) throw() {
	delete impl_;
}

// decrypt_user_profile method delegates the operation to impl_ instance
CORBA::Boolean
AuthenticationServerHandle::decrypt_user_profile(
    const CORBA::Any& user_profile_blob,
    RWCString& user_name,
    RWCString& password,
    bool &crypted
) throw() {
    return impl_->decrypt_user_profile(
	user_profile_blob,
	user_name,
	password,
	crypted
    );
}

